[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TCustomControl.Create

Constructor for the class instance.

## Declaration

Source position: controls.pp line 2481

`public constructor TCustomControl.Create(`
`AOwner: TComponent`
`); override;`

## Arguments

`AOwner` |  | Owner for the class instance.

## Description

Create is the overridden constructor for the class instance, and calls the inherited constructor on entry. Create allocates resources for the TControlCanvas instance used in the Canvas property.

## See also

TCustomControl.Canvas |  | The drawing surface for the control.
TControlCanvas |  | Base class which provides a canvas property used in graphic controls.